using Database;
using KlassenBIB;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SanSystem
{
    /// <summary>
    /// 
    /// </summary>
    public partial class FrmSelectMassenDate : Form
    {

        List<Inspektionsobjekt> inspektionsobjekts = null;
        /// <summary>
        /// 
        /// </summary>
        public FrmSelectMassenDate(List<Inspektionsobjekt> objekte = null)
        {
            InitializeComponent();
            if (objekte != null)
                inspektionsobjekts = objekte;
        }

        private void btn_gen_Click(object sender, EventArgs e)
        {
            MassenStatistik massenStatistik = null;
            if (inspektionsobjekts == null)
                massenStatistik = new MassenStatistik(Datenbank.Instance.loadedProjekt.Objekte, dt_targetDatum.Value);
            else
                massenStatistik = new MassenStatistik(inspektionsobjekts, dt_targetDatum.Value);

        }
    }
}
